libzypp 17.37.10

TmpPath.h File Reference
`#include <iosfwd>`
`#include <zypp-core/Pathname.h>`
`#include <zypp-core/base/PtrTypes.h>`
`#include <zypp-core/ManagedFile.h>`

Go to the source code of this file.

## Classes
class | zypp::filesystem::TmpPath
| Automaticaly deletes files or directories when no longer needed. More...
class | zypp::filesystem::TmpFile
| Provide a new empty temporary file and delete it when no longer needed. More...
class | zypp::filesystem::TmpDir
| Provide a new empty temporary directory and recursively delete it when no longer needed. More...

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | zypp::filesystem
| Types and functions for filesystem operations.

## Functions
std::ostream & | zypp::filesystem::operator<< (std::ostream &str, const TmpPath &obj)
| Stream output as pathname.
Pathname | zypp::myTmpDir () ZYPP_API
| Global access to the zypp.TMPDIR (created on demand, deleted when libzypp is unloaded)